Bug 831666 - [abrt] gnome-settings-daemon-3.4.2-1.fc17: config_set_large_print: Process /usr/libexec/gnome-settings-daemon was killed by signal 11 (SIGSEGV)
[abrt] gnome-settings-daemon-3.4.2-1.fc17: config_set_large_print: Process /u...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:8c495770f0df6dc69465bc0c59c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 10:36 EDT by costi
Modified: 2013-07-31 16:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.41 KB, text/plain)
2012-06-13 10:36 EDT, costi
no flags Details
File: maps (69.73 KB, text/plain)
2012-06-13 10:36 EDT, costi
no flags Details
File: dso_list (14.49 KB, text/plain)
2012-06-13 10:36 EDT, costi
no flags Details
File: build_ids (6.01 KB, text/plain)
2012-06-13 10:36 EDT, costi
no flags Details
File: var_log_messages (13.54 KB, text/plain)
2012-06-13 10:36 EDT, costi
no flags Details

  None (edit)
Description costi 2012-06-13 10:36:00 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: config_set_large_print
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.4.0-1.fc17.x86_64
pid:            1130
pwd:            /home/costy
time:           Tue 12 Jun 2012 07:57:15 PM EEST
uid:            1000
username:       costy
xsession_errors: 

backtrace:      Text file, 33183 bytes
build_ids:      Text file, 6150 bytes
dso_list:       Text file, 14838 bytes
maps:           Text file, 71403 bytes
var_log_messages: Text file, 13863 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/costy/2

core_backtrace:
:fca020680c207f52c1d808d347bd22763fd399c6 0x578b - liba11y-keyboard.so -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x24c42f - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x24bddd - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20003 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0xb9d53 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17adcf - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x178d96 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17a9a3 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:f92739f8e7835d0c95ae0af31518199eb6a90ed8 0x392a main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/costy/keyring-5ndMQh
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=*****
:USERNAME=*****
:MAIL=/var/spool/mail/costy
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/costy/.local/bin:/home/costy/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/costy
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=952
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/costy
:SHLVL=1
:LOGNAME=costy
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-JC49eaaEtB,guid=58f33814d0dedf294e63e37d00000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/costy
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-costy-kApuQm/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/954,unix/unix:/tmp/.ICE-unix/954
:DESKTOP_AUTOSTART_ID=10ff4690bcd7b89821133951809541115400000009540001

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30778                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30778                30778                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/costy/.xsession-errors
:2:/home/costy/.xsession-errors
:3:socket:[19712]
:4:anon_inode:[eventfd]
:5:anon_inode:[eventfd]
:6:socket:[19180]
:7:anon_inode:[eventfd]
:8:anon_inode:inotify
:9:anon_inode:[eventfd]
:10:socket:[19194]
:11:anon_inode:[eventfd]
:12:socket:[19729]
:13:anon_inode:inotify
:14:socket:[19197]
:15:anon_inode:inotify
:16:socket:[19740]
:17:socket:[19246]
:18:/dev/urandom
:19:socket:[19267]
:20:socket:[19840]
:21:/proc/1130/mounts
:22:socket:[19307]
:23:pipe:[19365]
:24:pipe:[19365]
:25:socket:[19410]
:26:pipe:[36333]
:27:pipe:[36333]
:28:socket:[36337]
:29:/home/costy/.cache/event-sound-cache.tdb.180b3755ae8c51fc5a1d634c00000010.x86_64-redhat-linux-gnu

smolt_data:
:
:
:General
:=================================
:UUID: 4bd5bbcc-7e31-4256-add1-f996f6944e6f
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4190.71
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) CPU B950 @ 2.10GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 2
:CPU Speed: 2100
:System Memory: 3868
:System Swap: 5919
:Vendor: SAMSUNG ELECTRONICS CO., LTD.
:System: 300E4Z/300E5Z/300E7Z 0.1
:Form factor: Laptop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:5197:50694) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:262:5197:50694) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:5197:50694) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:5197:50694) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7241:5197:50694) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4318:4177:5197:50694) pci, nvidia, VIDEO, N/A
:(32902:7200:5197:50694) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:5197:50694) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:2198:32902:20485) pci, iwlwifi, NETWORK, Centrino Wireless-N 130 BGN
:(32902:7171:5197:50694) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:5197:50694) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:5197:50694) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:5197:50694) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:5197:50694) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:5197:50694) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 13092026 11528624 11397574 3276800 3085803 3085803
:/dev/sda5 /home ext4 4096 4096 107228322 105141872 99774602 26836992 26803480 26803480
:/dev/sda1 /boot ext4 1024 1024 508745 382202 356602 128016 127654 127654
:
Comment 1 costi 2012-06-13 10:36:04 EDT
Created attachment 591524 [details]
File: backtrace
Comment 2 costi 2012-06-13 10:36:07 EDT
Created attachment 591525 [details]
File: maps
Comment 3 costi 2012-06-13 10:36:10 EDT
Created attachment 591526 [details]
File: dso_list
Comment 4 costi 2012-06-13 10:36:13 EDT
Created attachment 591527 [details]
File: build_ids
Comment 5 costi 2012-06-13 10:36:16 EDT
Created attachment 591528 [details]
File: var_log_messages
Comment 6 Masao Takahashi 2012-06-13 21:38:49 EDT
I have encountered this problem after upgrading to f17.
There are many SEGFAULT's in the next packages.
  gnome-settings-daemon
  gnome-panel
  udisks2
  shutdown ---> raise kernel panic
  colord
  gnome-shell

 like this
   segfault ............ error 4 in glibc-2.15.xxxxxxxxxx
Isn't it?
 
Now I have solved the problem as follows.
1. upgrade gcc-4.7.0-5.fc17.i686 to gcc-4.7.0-7.fc17.i686
2. regenerate glibc-2.15-46.fc17.i686 and install it.
3. regenerate glib2-2.32.3-1.fc17.i686 and install it.
4. regenerate above packages.
Then, segfault's are disappeared.

Perhaps gcc-4.7.0-5 has serious problems, I think.
Comment 7 Matthias Clasen 2012-06-14 19:42:08 EDT
Fix filed here: 
https://bugzilla.gnome.org/show_bug.cgi?id=678133
Comment 8 Fedora End Of Life 2013-07-03 16:35:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 16:44:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.